include(constants.m4)

# Define macros
#
define(`MACRO_2levels_action_stop',`$1 $2 [ $3 level 0-0 continue ]
$1 $2 [ $4 level 1-1 ]')dnl
define(`MACRO_2levels_noaction_cont',`$1 { set dummy=dummy } [ $2 level 0-0 continue ]
$1 { set dummy=dummy } [ $3 level 1-1 continue ]')dnl
define(`MACRO_3levels_action_stop',`$1 $2 [ $3 level 0-0 continue ]
$1 $2 [ $4 level 1-1 continue ]
$1 $2 [ $5 level 2-2 ]')dnl
define(`MACRO_3levels_noaction_cont',`$1 { set dummy=dummy } [ $2 level 0-0 continue ]
$1 { set dummy=dummy } [ $3 level 1-1 continue ]
$1 { set dummy=dummy } [ $4 level 2-2 continue ]')dnl

define(`MACRO_1levels_noaction_stop',`$1 [ $2 level 0 continue ]')dnl
define(`MACRO_2levels_noaction_stop',`$1 [ $2 level 0-0 continue ]
$1 { set dummy=dummy } [ $3 level 1-1 ]')dnl
define(`MACRO_3levels_noaction_stop',`$1 [ $2 level 0-0 continue ]
$1 { set dummy=dummy } [ $3 level 1-1 continue ]
$1 { set dummy=dummy } [ $4 level 2-2 ]')dnl
define(`MACRO_4levels_noaction_stop',`$1 [ $2 level 0-0 continue ]
$1 { set dummy=dummy } [ $3 level 1-1 continue ]
$1 { set dummy=dummy } [ $4 level 2-2 continue ]
$1 { set dummy=dummy } [ $5 level 3-3 ]')dnl

# Correct frequent tagging mistakes (found using tagwatch.stoecker.eu)
boundary=administrativ { set boundary=administrative }
bridge=true { set bridge=yes }
highway=footpath { set highway=path; set foot=designated }
highway=service_footway { set highway=footway }
highway=parking_aisle { set highway=service; set service=parking_aisle }
highway="track; footway" { set highway=footway }
highway=Feldweg { set highway=track }
highway="path;track" { set highway=path }
highway="path; track" { set highway=path }
highway="footway; track" { set highway=footway }
highway=sidewalk { set highway=footway }
highway="residential; track" { set highway=track }
highway=residental { set highway=residential }
highway=livingstreet { set highway=living_street }
highway="footway; cycleway" { set highway=path; set foot=designated; set bicycle=designated }
tracktype=path { set highway=path; delete tracktype }

# Map unusual tags to more common ones (found using tagwatch.stoecker.eu)
bridge=no { delete bridge }
bridge=footbridge { set highway=footway; set bridge=yes }
bridge=pedestrian { set highway=footway; set bridge=yes }
bridge=bicycle { set highway=cycleway; set bridge=yes }
cycleway=no | cycleway=none { delete cycleway }
cycleway="track;opposite_track" { set cycleway=opposite_track }
cycleway="opposite_track;track" { set cycleway=opposite_track }
cycleway="lane;opposite_lane" { set cycleway=opposite_lane }
cycleway="lane/opposite_lane" { set cycleway=opposite_lane }
highway=secondary_link { set highway=secondary }
highway=tertiary_link { set highway=tertiary }
tracktype=grade0 { set tracktype=grade1 }
tracktype=grade6 { set tracktype=grade5 }

# Remove planned features
highway=proposed { delete highway }
highway=planned { delete highway }

# Handle contour lines
#contour=elevation & contour_ext=major  & level=5 { name '${ele|conv:m=>ft}'; } [ 0x22 level 5-5 ]
#contour=elevation & contour_ext=medium & level=5 { name '${ele|conv:m=>ft}'; } [ 0x21 level 5-5 ]
#contour=elevation & contour_ext=minor  & level=5 { name '${ele|conv:m=>ft}'; } [ 0x20 level 5-5 ]
contour=elevation & contour_ext=major  & level=4 { name '${ele|conv:m=>ft}'; } [ 0x22 level 4-4 ]
contour=elevation & contour_ext=medium & level=4 { name '${ele|conv:m=>ft}'; } [ 0x21 level 4-4 ]
contour=elevation & contour_ext=minor  & level=4 { name '${ele|conv:m=>ft}'; } [ 0x20 level 4-4 ]
contour=elevation & contour_ext=major  & level=3 { name '${ele|conv:m=>ft}'; } [ 0x22 level 3-3 ]
contour=elevation & contour_ext=medium & level=3 { name '${ele|conv:m=>ft}'; } [ 0x21 level 3-3 ]
contour=elevation & contour_ext=minor  & level=3 { name '${ele|conv:m=>ft}'; } [ 0x20 level 3-3 ]
contour=elevation & contour_ext=major            { name '${ele|conv:m=>ft}'; } [ 0x22 level 2 ]
contour=elevation & contour_ext=medium           { name '${ele|conv:m=>ft}'; } [ 0x21 level 2 ]
contour=elevation & contour_ext=minor            { name '${ele|conv:m=>ft}'; } [ 0x20 level 2 ]

# Map boundaries
# Continue processing, because often existing features are tagged also as boundaries
boundary=administrative & admin_level=2 [0x1e default_name="Staatsgrenze" level 5-5 continue ]
boundary=administrative & admin_level=4 [0x1c default_name="Grenze (Bundesland)" level 5-4 continue ]
boundary=administrative & admin_level=5 [0x1c default_name="Grenze (Regierungsbezirk)" level 3 continue ]
boundary=administrative & admin_level=6 [0x1c default_name="Grenze (Kreis)" level 2 continue ]
#boundary=administrative & admin_level>6 [0x1c default_name="Grenze (Amt/Gemeinde/Ortsteil)" level 1 continue ]
#boundary=administrative & admin_level!=* [0x1c level 0 continue ]
boundary=national [0x1e level 5-5 continue ]
#boundary=political [0x1c level 0 continue ]

# Handled here to allow for ways in addition to the pier
man_made=pier & area!=yes & area!=true & area!=1 [0x1040c level 1 continue ]
man_made=breakwater & area!=yes & area!=true & area!=1 [0x010403 level 1 continue ]

# Set highway names to include the reference if there is one
highway=* & junction!=roundabout {name '${name} (${ref})' | '${ref}' | '${name}' }

# Flag unpaved roads.
highway=*
& (surface=cobblestone | surface=compacted | surface=dirt |
   surface=earth | surface=grass | surface=grass_paver |
   surface=gravel | surface=grit | surface=ground | surface=mud |
   surface=pebblestone | surface=sand | surface=unpaved |
   mtb:scale=* |
   tracktype ~ 'grade[3-6]' |
   smoothness ~ '.*\(bad\|horrible\|impassable\)' |
   sac_scale ~ '.*\(mountain\|alpine\)_hiking' |
   sport=via_ferrata)
{ add mkgmap:unpaved=1 }

(highway=bridleway | highway=path | highway=track | highway=unsurfaced)
& surface!=* & tracktype!=* & smoothness!=* & sac_scale!=*
{ add mkgmap:unpaved=1 }

# Handle oneways appropriately for bicycles
bicycle:oneway=no | oneway:bicycle=no { delete oneway }
bicycle:backward=no { set oneway=yes }
bicycle:forward=no { set oneway=-1 }
oneway=yes & bicycle:backward=yes { delete oneway }
oneway=-1 & bicycle:forward=yes { delete oneway }
oneway=yes & (cycleway = opposite_lane | cycleway = opposite_track | cycleway = opposite)
	{ delete oneway }
oneway=-1 & (cycleway = lane | cycleway = track)
	{ delete oneway }

# Default for roads under construction is no access
#highway=construction { add access=no }

# Handle the access attributes
# Copy general access attributes to bicycle and foot for easier processing later
access=no & bicycle!=*          { set bicycle=no }
access=private & bicycle!=*     { set bicycle=private }
access=destination & bicycle!=* { set bicycle=destination }
access=no & foot!=*             { set foot=no }
access=private & foot!=*        { set foot=private }
access=destination & foot!=*    { set foot=destination }

# Transfer attributes so that they work in car mode
highway=cycleway   { access_always }
highway=path       { access_always }
highway=bridleway  { access_denied }
bicycle=designated { access_always }
bicycle=official   { access_always }
bicycle=yes        { access_always }
bicycle=private    { access_dest }
bicycle=no         { access_denied }

# Along cycle routes it is assumed that there is always access
icn=yes            { access_always }
ncn=yes            { access_always }
rcn=yes            { access_always }
lcn=yes            { access_always }

# Map all roundabouts
define(`MACRO_junction',`
junction=roundabout & $1 & icn=yes                                              { delete name; delete name:de; delete name:en; delete ref } [ 0x0c RCRS_ICN level 0 continue ]
junction=roundabout & $1 & icn!=yes & ncn=yes                                   { delete name; delete name:de; delete name:en; delete ref } [ 0x0c RCRS_NCN level 0 continue ]
junction=roundabout & $1 & icn!=yes & ncn!=yes & rcn=yes                        { delete name; delete name:de; delete name:en; delete ref } [ 0x0c RCRS_RCN level 0 continue ]
junction=roundabout & $1 & icn!=yes & ncn!=yes & rcn!=yes & lcn=yes             { delete name; delete name:de; delete name:en; delete ref } [ 0x0c RCRS_LCN level 0 continue ]
junction=roundabout & $1 & icn!=yes & ncn!=yes & rcn!=yes & lcn!=yes & tcn=yes  { delete name; delete name:de; delete name:en; delete ref } [ 0x0c RCRS_TCN level 0 continue ]
junction=roundabout & $1 & icn!=yes & ncn!=yes & rcn!=yes & lcn!=yes & tcn!=yes { delete name; delete name:de; delete name:en; delete ref } [ 0x0c $2 level 0 continue ]')dnl

MACRO_junction(highway=cycleway,                                                                                                                   RCRS_cycleway)
MACRO_junction(highway=footway & (bicycle=designated | bicycle=official),                                                                          RCRS_cycleway)
MACRO_junction(highway=footway & (bicycle=yes | bicycle=permissive | bicycle=private),                                                             RCRS_cycleableway)
MACRO_junction(highway=footway & bicycle!=designated & bicycle!=official & bicycle!=yes & bicycle!=permissive & bicycle!=private,                  RCRS_pushway)
MACRO_junction(highway=path & (bicycle=designated | bicycle=official),                                                                             RCRS_cycleway)
MACRO_junction(highway=path & (bicycle=yes | bicycle=permissive | bicycle=private),                                                                RCRS_cycleableway)
MACRO_junction(highway=path & bicycle!=designated & bicycle!=official & bicycle!=yes & bicycle!=permissive & bicycle!=private & foot=* & foot!=no, RCRS_pushway)
MACRO_junction(highway=path & bicycle!=designated & bicycle!=official & bicycle!=yes & bicycle!=permissive & bicycle!=private & foot!=*,           RCRS_cycleableway)
MACRO_junction(highway=bridleway & (bicycle=designated | bicycle=official),                                                                        RCRS_cycleway)
MACRO_junction(highway=bridleway & (bicycle=yes | bicycle=permissive | bicycle=private),                                                           RCRS_cycleableway)
MACRO_junction(highway=bridleway & bicycle!=designated & bicycle!=official & bicycle!=yes & bicycle!=permissive & bicycle!=private,                RCRS_pushway)
MACRO_junction(highway=pedestrian & (area!=* | area=no),                                                                                           RCRS_pushway)
MACRO_junction(highway=primary & cycleway=*,                                                                                                       RCRS_cycleway)
MACRO_junction(highway=primary & cycleway!=*,                                                                                                      RCRS_inthetraffic)
MACRO_junction(highway=primary_link & cycleway=*,                                                                                                  RCRS_cycleway)
MACRO_junction(highway=primary_link & cycleway!=*,                                                                                                 RCRS_inthetraffic)
MACRO_junction(highway=secondary & cycleway=*,,                                                                                                    RCRS_cycleway)
MACRO_junction(highway=secondary & cycleway!=*,,                                                                                                   RCRS_inthetraffic)
MACRO_junction(highway=tertiary & cycleway=*,,                                                                                                     RCRS_cycleway)
MACRO_junction(highway=tertiary & cycleway!=*,,                                                                                                    RCRS_inthetraffic)
MACRO_junction(highway=minor,                                                                                                                      RCRS_residential)
MACRO_junction(highway=residential,                                                                                                                RCRS_residential)
MACRO_junction(highway=living_street,                                                                                                              RCRS_residential)
MACRO_junction(highway=service,                                                                                                                    RCRS_residential)
MACRO_junction(highway=unclassified,                                                                                                               RCRS_residential)

# First handle everything that is part of any cycle network and is not clearly a
# road where cars go.
MACRO_genlevels_stop(highway=cycleway & icn=yes                                                        ,, RCRS_ICN         , GID_cycleway)
MACRO_genlevels_stop(highway=cycleway & ncn=yes                                                        ,, RCRS_NCN         , GID_cycleway)
MACRO_genlevels_stop(highway=cycleway & rcn=yes                                                        ,, RCRS_RCN         , GID_cycleway)
MACRO_genlevels_stop(highway=cycleway & lcn=yes                                                        ,, RCRS_LCN         , GID_cycleway)
MACRO_genlevels_stop(highway=cycleway & tcn=yes                                                        ,, RCRS_TCN         , GID_cycleway)
MACRO_genlevels_stop(highway=cycleway                                                                  ,, RCRS_cycleway    , GID_cycleway)

MACRO_genlevels_stop(highway=footway & (bicycle=designated | bicycle=official) & icn=yes               ,, RCRS_ICN         , GID_cycleway)
MACRO_genlevels_stop(highway=footway & (bicycle=designated | bicycle=official) & ncn=yes               ,, RCRS_NCN         , GID_cycleway)
MACRO_genlevels_stop(highway=footway & (bicycle=designated | bicycle=official) & rcn=yes               ,, RCRS_RCN         , GID_cycleway)
MACRO_genlevels_stop(highway=footway & (bicycle=designated | bicycle=official) & lcn=yes               ,, RCRS_LCN         , GID_cycleway)
MACRO_genlevels_stop(highway=footway & (bicycle=designated | bicycle=official) & tcn=yes               ,, RCRS_TCN         , GID_cycleway)
MACRO_genlevels_stop(highway=footway & (bicycle=designated | bicycle=official)                         ,, RCRS_cycleway    , GID_cycleway)
MACRO_genlevels_stop(highway=footway & (bicycle=yes | bicycle=permissive | bicycle=private) & icn=yes  ,, RCRS_ICN         , GID_cycleway)
MACRO_genlevels_stop(highway=footway & (bicycle=yes | bicycle=permissive | bicycle=private) & ncn=yes  ,, RCRS_NCN         , GID_cycleway)
MACRO_genlevels_stop(highway=footway & (bicycle=yes | bicycle=permissive | bicycle=private) & rcn=yes  ,, RCRS_RCN         , GID_cycleway)
MACRO_genlevels_stop(highway=footway & (bicycle=yes | bicycle=permissive | bicycle=private) & lcn=yes  ,, RCRS_LCN         , GID_cycleway)
MACRO_genlevels_stop(highway=footway & (bicycle=yes | bicycle=permissive | bicycle=private) & tcn=yes  ,, RCRS_TCN         , GID_cycleway)
MACRO_genlevels_stop(highway=footway & (bicycle=yes | bicycle=permissive | bicycle=private)            ,, RCRS_cycleableway, GID_cycleway)
MACRO_genlevels_stop(highway=footway & icn=yes                                                         ,, RCRS_ICN         , GID_footway)
MACRO_genlevels_stop(highway=footway & ncn=yes                                                         ,, RCRS_NCN         , GID_footway)
MACRO_genlevels_stop(highway=footway & rcn=yes                                                         ,, RCRS_RCN         , GID_footway)
MACRO_genlevels_stop(highway=footway & lcn=yes                                                         ,, RCRS_LCN         , GID_footway)
MACRO_genlevels_stop(highway=footway & tcn=yes                                                         ,, RCRS_TCN         , GID_footway)
MACRO_genlevels_stop(highway=footway                                                    ,{ access_dest }, RCRS_pushway     , GID_footway)

MACRO_genlevels_stop(highway=path & (bicycle=designated | bicycle=official) & icn=yes                  ,, RCRS_ICN         , GID_cycleway)
MACRO_genlevels_stop(highway=path & (bicycle=designated | bicycle=official) & ncn=yes                  ,, RCRS_NCN         , GID_cycleway)
MACRO_genlevels_stop(highway=path & (bicycle=designated | bicycle=official) & rcn=yes                  ,, RCRS_RCN         , GID_cycleway)
MACRO_genlevels_stop(highway=path & (bicycle=designated | bicycle=official) & lcn=yes                  ,, RCRS_LCN         , GID_cycleway)
MACRO_genlevels_stop(highway=path & (bicycle=designated | bicycle=official) & tcn=yes                  ,, RCRS_TCN         , GID_cycleway)
MACRO_genlevels_stop(highway=path & (bicycle=designated | bicycle=official)                            ,, RCRS_cycleway    , GID_cycleway)
MACRO_genlevels_stop(highway=path & (bicycle=yes | bicycle=permissive | bicycle=private) & icn=yes     ,, RCRS_ICN         , GID_cycleway)
MACRO_genlevels_stop(highway=path & (bicycle=yes | bicycle=permissive | bicycle=private) & ncn=yes     ,, RCRS_NCN         , GID_cycleway)
MACRO_genlevels_stop(highway=path & (bicycle=yes | bicycle=permissive | bicycle=private) & rcn=yes     ,, RCRS_RCN         , GID_cycleway)
MACRO_genlevels_stop(highway=path & (bicycle=yes | bicycle=permissive | bicycle=private) & lcn=yes     ,, RCRS_LCN         , GID_cycleway)
MACRO_genlevels_stop(highway=path & (bicycle=yes | bicycle=permissive | bicycle=private) & tcn=yes     ,, RCRS_TCN         , GID_cycleway)
MACRO_genlevels_stop(highway=path & (bicycle=yes | bicycle=permissive | bicycle=private)               ,, RCRS_cycleableway, GID_cycleway)
MACRO_genlevels_stop(highway=path & foot=* & foot!=no & icn=yes                                        ,, RCRS_ICN         , GID_footway)
MACRO_genlevels_stop(highway=path & foot=* & foot!=no & ncn=yes                                        ,, RCRS_NCN         , GID_footway)
MACRO_genlevels_stop(highway=path & foot=* & foot!=no & rcn=yes                                        ,, RCRS_RCN         , GID_footway)
MACRO_genlevels_stop(highway=path & foot=* & foot!=no & lcn=yes                                        ,, RCRS_LCN         , GID_footway)
MACRO_genlevels_stop(highway=path & foot=* & foot!=no & tcn=yes                                        ,, RCRS_TCN         , GID_footway)
MACRO_genlevels_stop(highway=path & foot=* & foot!=no                                   ,{ access_dest }, RCRS_pushway     , GID_footway)
MACRO_genlevels_stop(highway=path & icn=yes                                                            ,, RCRS_ICN         , GID_path)
MACRO_genlevels_stop(highway=path & ncn=yes                                                            ,, RCRS_NCN         , GID_path)
MACRO_genlevels_stop(highway=path & rcn=yes                                                            ,, RCRS_RCN         , GID_path)
MACRO_genlevels_stop(highway=path & lcn=yes                                                            ,, RCRS_LCN         , GID_path)
MACRO_genlevels_stop(highway=path & tcn=yes                                                            ,, RCRS_TCN         , GID_path)
MACRO_genlevels_stop(highway=path                                                                      ,, RCRS_cycleableway, GID_path)

MACRO_genlevels_stop(highway=bridleway & (bicycle=designated | bicycle=official) & icn=yes             ,, RCRS_ICN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & (bicycle=designated | bicycle=official) & ncn=yes             ,, RCRS_NCN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & (bicycle=designated | bicycle=official) & rcn=yes             ,, RCRS_RCN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & (bicycle=designated | bicycle=official) & lcn=yes             ,, RCRS_LCN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & (bicycle=designated | bicycle=official) & tcn=yes             ,, RCRS_TCN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & (bicycle=designated | bicycle=official)                       ,, RCRS_cycleway    , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & (bicycle=yes | bicycle=permissive | bicycle=private) & icn=yes,, RCRS_ICN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & (bicycle=yes | bicycle=permissive | bicycle=private) & ncn=yes,, RCRS_NCN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & (bicycle=yes | bicycle=permissive | bicycle=private) & rcn=yes,, RCRS_RCN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & (bicycle=yes | bicycle=permissive | bicycle=private) & lcn=yes,, RCRS_LCN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & (bicycle=yes | bicycle=permissive | bicycle=private) & tcn=yes,, RCRS_TCN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & (bicycle=yes | bicycle=permissive | bicycle=private)          ,, RCRS_cycleableway, GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & icn=yes                                                       ,, RCRS_ICN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & ncn=yes                                                       ,, RCRS_NCN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & rcn=yes                                                       ,, RCRS_RCN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & lcn=yes                                                       ,, RCRS_LCN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway & tcn=yes                                                       ,, RCRS_TCN         , GID_cycleway)
MACRO_genlevels_stop(highway=bridleway                                                                 ,, RCRS_pushway     , GID_path)

MACRO_genlevels_stop(highway=pedestrian & (area!=* | area=no) & icn=yes                                ,, RCRS_ICN         , GID_pedestrian)
MACRO_genlevels_stop(highway=pedestrian & (area!=* | area=no) & ncn=yes                                ,, RCRS_NCN         , GID_pedestrian)
MACRO_genlevels_stop(highway=pedestrian & (area!=* | area=no) & rcn=yes                                ,, RCRS_RCN         , GID_pedestrian)
MACRO_genlevels_stop(highway=pedestrian & (area!=* | area=no) & lcn=yes                                ,, RCRS_LCN         , GID_pedestrian)
MACRO_genlevels_stop(highway=pedestrian & (area!=* | area=no) & tcn=yes                                ,, RCRS_TCN         , GID_pedestrian)
MACRO_genlevels_stop(highway=pedestrian & (area!=* | area=no) & (bicycle=official | bicycle=designated | bicycle=yes | bicycle=permissive )
                                                                                                       ,, RCRS_cycleableway, GID_pedestrian)
MACRO_genlevels_stop(highway=pedestrian & (area!=* | area=no)                           ,{ access_dest }, RCRS_pushway     , GID_pedestrian)

#
# highway=motorway and highway=motorway_link
#
MACRO_genlevels_stop(highway=motorway & bridge=*          ,,,GID_motorway_bridged)
MACRO_genlevels_stop(highway=motorway_link & bridge=*     ,,,GID_motorway_link_bridged)
MACRO_genlevels_stop(highway=motorway & tunnel=yes        ,,,GID_motorway_tunneled)
MACRO_genlevels_stop(highway=motorway_link & tunnel=yes   ,,,GID_motorway_link_tunneled)
MACRO_genlevels_stop(highway=motorway                     ,,,GID_motorway)
MACRO_genlevels_stop(highway=motorway_link                ,,,GID_motorway_link)
#
# highway=trunk and highway=trunk_link
#
MACRO_genlevels_stop(highway=trunk & bridge=*             ,,,GID_trunk_bridged)
MACRO_genlevels_stop(highway=trunk_link & bridge=*        ,,,GID_trunk_link_bridged)
MACRO_genlevels_stop(highway=trunk & tunnel=yes           ,,,GID_trunk_tunneled)
MACRO_genlevels_stop(highway=trunk_link & tunnel=yes      ,,,GID_trunk_link_tunneled)
MACRO_genlevels_stop(highway=trunk                        ,,,GID_trunk)
MACRO_genlevels_stop(highway=trunk_link                   ,,,GID_trunk_link)

define(`MACRO_highway_2levels',`
$1 & cycleway=* { access_copy }
MACRO_2levels_action_stop($1 & icn=yes,,                         $2 RCRS_ICN, $3 RCRS_ICN)
MACRO_2levels_action_stop($1 & ncn=yes,,                         $2 RCRS_NCN, $3 RCRS_NCN)
MACRO_2levels_action_stop($1 & rcn=yes,,                         $2 RCRS_RCN, $3 RCRS_RCN)
MACRO_2levels_action_stop($1 & lcn=yes,,                         $2 RCRS_LCN, $3 RCRS_LCN)
MACRO_2levels_action_stop($1 & tcn=yes,,                         $2 RCRS_TCN, $3 RCRS_TCN)
MACRO_2levels_action_stop($1 & bicycle=private, { access_dest }, $2 $5,       $3 $5)
MACRO_2levels_action_stop($1 & bicycle!=no,     { access_copy }, $2 $5,       $3 $5)
MACRO_2levels_noaction_stop($1, $2, $3)')dnl
dnl
define(`MACRO_highway_3levels',`
$1 & cycleway=* { access_copy }
MACRO_3levels_action_stop($1 & icn=yes,,                         $2 RCRS_ICN, $3 RCRS_ICN, $4 RCRS_ICN)
MACRO_3levels_action_stop($1 & ncn=yes,,                         $2 RCRS_NCN, $3 RCRS_NCN, $4 RCRS_NCN)
MACRO_3levels_action_stop($1 & rcn=yes,,                         $2 RCRS_RCN, $3 RCRS_RCN, $4 RCRS_RCN)
MACRO_3levels_action_stop($1 & lcn=yes,,                         $2 RCRS_LCN, $3 RCRS_LCN, $4 RCRS_LCN)
MACRO_3levels_action_stop($1 & tcn=yes,,                         $2 RCRS_TCN, $3 RCRS_TCN, $4 RCRS_TCN)
MACRO_3levels_action_stop($1 & bicycle=private, { access_dest }, $2 $6,       $3 $6,       $4 $6)
MACRO_3levels_action_stop($1 & bicycle!=no,     { access_copy }, $2 $6,       $3 $6,       $4 $6)
MACRO_3levels_noaction_stop($1, $2, $3, $4)')dnl
dnl

MACRO_genlevels_cont(cycleway=* & highway=primary,       { remove_name },, GID_primary_cycleway)
MACRO_genlevels_cont(cycleway=* & highway=primary_link,  { remove_name },, GID_primary_link_cycleway)
MACRO_genlevels_cont(cycleway=* & highway=secondary,     { remove_name },, GID_secondary_cycleway)
MACRO_genlevels_cont(cycleway=* & highway=tertiary,      { remove_name },, GID_tertiary_cycleway)
MACRO_genlevels_cont(cycleway=* & highway=minor,         { remove_name },, GID_minor_cycleway)
MACRO_genlevels_cont(cycleway=* & highway=residential,   { remove_name },, GID_residential_cycleway)
MACRO_genlevels_cont(cycleway=* & highway=living_street, { remove_name },, GID_living_street_cycleway)
MACRO_genlevels_cont(cycleway=* & highway=service,       { remove_name },, GID_service_cycleway)
MACRO_genlevels_cont(cycleway=* & highway=unclassified,  { remove_name },, GID_unclassified_cycleway)

MACRO_highway_3levels(highway = primary,       GID_primary,       RCRS_cycleway,    RCRS_inthetraffic)
MACRO_highway_2levels(highway = primary_link,  GID_primary_link,  RCRS_cycleway,    RCRS_inthetraffic)
MACRO_highway_2levels(highway = secondary,     GID_secondary,     RCRS_cycleway,    RCRS_inthetraffic)
MACRO_highway_2levels(highway = tertiary,      GID_tertiary,      RCRS_cycleway,    RCRS_inthetraffic)
MACRO_highway_2levels(highway = minor,         GID_minor,         RCRS_residential, RCRS_residential)
MACRO_highway_2levels(highway = residential,   GID_residential,   RCRS_residential, RCRS_residential)
MACRO_highway_2levels(highway = living_street, GID_living_street, RCRS_residential, RCRS_residential)
MACRO_highway_2levels(highway = service,       GID_service,       RCRS_residential, RCRS_residential)
MACRO_highway_2levels(highway = unclassified,  GID_unclassified,  RCRS_residential, RCRS_residential)

MACRO_genlevels_stop(highway=path,,RCRS_residential, GID_path)

MACRO_highway_2levels(highway=track & (tracktype=grade1 | surface=paved | smoothness=excellent | smoothness=good),
                                                        GID_tracktype1, RCRS_tracktype1, RCRS_tracktype1)
MACRO_highway_2levels(highway=track & (tracktype=grade2 | smoothness=intermediate | smoothness=bad),
                                                        GID_tracktype2, RCRS_tracktype2, RCRS_tracktype2)
MACRO_highway_2levels(highway=track & tracktype=grade3, GID_tracktype3, RCRS_tracktype3, RCRS_tracktype3)
MACRO_highway_2levels(highway=track & tracktype=grade4, GID_tracktype4, RCRS_tracktype4, RCRS_tracktype4)
MACRO_highway_2levels(highway=track & tracktype=grade5, GID_tracktype5, RCRS_tracktype5, RCRS_tracktype5)
# All tracks without the tracktype set are mapped to track type 3
MACRO_highway_2levels(highway=track,                    GID_tracktype3, RCRS_tracktype3, RCRS_tracktype3)

# We don't like steps, so they get a very low speed rating. Also we route there only if there is a ramp.
highway=steps & ramp=yes & (ramp:bicycle=yes | ramp:stroller!=yes) { set motorcar='${bicycle}'; set motorcycle='${bicycle}'; } [GID_steps RCRS_pushway level 0]
highway=steps [GID_steps level 0]

# We don't have byways in Germany, but map them anyway
MACRO_genlevels_stop(highway=byway, { set motorcar='${bicycle}'; set motorcycle='${bicycle}'; }, road_class=1 road_speed=0, GID_byway)

# Mop up any unrecognised highway types
#highway=* & area!=yes & area!=true & area!=1 [GID_path RCRS_pushway level 0]

natural=coastline [0x15 level 5]
power=line { name 'Stromleitung ${name} (${operator}, ${ref})' | 'Stromleitung ${name} (${operator})' | 'Stromleitung ${name} (${ref})' | 'Stromleitung (${operator}, ${ref})' | 'Stromleitung (${operator})' | 'Stromleitung (${ref})' }
                                       LINE_background(0x29)

railway=* & area!=* { name '${name} (${ref})'; delete ref }
MACRO_genlevels_stop(railway=* & disused=yes & tunnel=yes, { name 'Eisenbahntunnel (stillgelegt)' },, GID_rail_disused_tunnel)
MACRO_genlevels_stop(railway=* & disused=yes,              { name 'Bahnlinie (stillgelegt)' },,       GID_rail_disused)
MACRO_genlevels_stop(railway=disused & tunnel=yes,         { name 'Eisenbahntunnel (stillgelegt)' },, GID_rail_disused_tunnel)
MACRO_genlevels_stop(railway=disused,                      { name 'Bahnlinie (stillgelegt)' },,       GID_rail_disused)
MACRO_genlevels_stop(railway=funicular & tunnel=yes,       { add name='Standseilbahn (Tunnel)' },,    GID_light_rail_tunnel)
MACRO_genlevels_stop(railway=funicular,                    { add name='Standseilbahn' },,             GID_light_rail)
MACRO_genlevels_stop(railway=light_rail & tunnel=yes,      { add name='Stadtbahn (Tunnel)' },,        GID_light_rail_tunnel)
MACRO_genlevels_stop(railway=light_rail,                   { add name='Stadtbahn' },,                 GID_light_rail)
MACRO_genlevels_stop(railway=monorail & tunnel=yes,,,                                                 GID_tram_tunnel)
MACRO_genlevels_stop(railway=monorail,,,                                                              GID_tram)
MACRO_genlevels_stop(railway=narrow_gauge & tunnel=yes,    { add name='Schmalspurbahn (Tunnel)' },,   GID_light_rail_tunnel)
MACRO_genlevels_stop(railway=narrow_gauge,                 { add name='Schmalspurbahn' },,            GID_light_rail)
railway=preserved { name '${name|start-with:Museumsbahn }' }
MACRO_genlevels_stop(railway=preserved & tunnel=yes,       { add name='Museumsbahn (Tunnel)' },,      GID_light_rail_tunnel)
MACRO_genlevels_stop(railway=preserved,                    { add name='Museumsbahn' },,               GID_light_rail)
MACRO_genlevels_stop(railway=rail & service=* & tunnel=yes,,,                                         GID_rail_service_tunnel)
MACRO_genlevels_stop(railway=rail & service=*,,,                                                      GID_rail_service)
MACRO_genlevels_stop(railway=rail & tunnel=yes,,,                                                     GID_rail_tunnel)
MACRO_genlevels_stop(railway=rail,,,                                                                  GID_rail)
MACRO_genlevels_stop(railway=subway & tunnel=yes,          { add name='U-Bahn' },,                    GID_subway_tunnel)
MACRO_genlevels_stop(railway=subway,                       { add name='U-Bahn (oberirdisch)' },,      GID_subway)
MACRO_genlevels_stop(railway=tram & tunnel=yes,            { add name='Straßenbahn (unterirdisch)' },,GID_tram_tunnel)
MACRO_genlevels_stop(railway=tram,                         { add name='Straßenbahn' },,               GID_tram)
railway=platform & area!=* { set access=destination; set bicycle=destination; set motorcar=destination; set motorcycle=destination; }
                                       [GID_footway RCRS_pushway level 0]

aeroway=runway [0x27 level 1]
MACRO_genlevels_stop(route=ferry, { set mkgmap:ferry=yes; name '${name|start-with:Fähre }' }, road_class=0 road_speed=0, GID_ferry)

MACRO_genlevels_stop(waterway=canal,,, GID_canal)
MACRO_genlevels_stop(waterway=ditch,,, GID_ditch)
MACRO_genlevels_stop(waterway=drain,,, GID_drain)
MACRO_genlevels_stop(waterway=stream,,, GID_stream)
MACRO_genlevels_stop(waterway=river & (name="Donau" | name="Rhein" | name="Elbe" | name="Oder" | name="Mosel" 
	| name="Main" | name="Inn" | name="Weser" | name="Saale" | name="Spree" ),,,GID_very_big_river)
MACRO_genlevels_stop(waterway=river & (name="Ems" | name="Neckar" | name="Havel" | name="Werra" | name="Eger"
	| name="Isar" | name="Leine" | name="Lech" | name="Weiße Elster" | name="Lahn"
	| name="Salzach" | name="Altmühl" | name="Lippe" | name="Ruhr" | name="Fulda"
	| name="Aller" | name="Elde"),,,GID_big_river)
MACRO_genlevels_stop(waterway=river & (name="Unstrut" | name="Hunte" | name="Jagst" | name="Eider" | name="Schwarze Elster"
	| name="Amper" | name="Kocher" | name="Eder" | name="Sauer" | name="Rur" | name="Hase"
	| name="Vechte" | name="Zwickauer Mulde" | name="Naab" | name="Regen" | name="Peene"
	| name="Oste" | name="Sieg" | name="Warnow" | name="Wertach" | name="Alz" | name="Iller"
	| name="Fränkische Saale" | name="Kyll" | name="Bode" | name="Paar" | name="Würnitz"
	| name="Ilm" | name="Lenne" | name="Zschopau" | name="Rhin" | name="Freiberger Mulde"
	| name="Mulde" | name="Trave" | name="Tauber" | name="Vils" | name="Wümme" | name="Wupper"
	| name="Nahe" | name="Niers" | name="Pegnitz" | name="Loisach" | name="Nied" | name="Enz"
	| name="Berkel" | name="Diemel" | name="Friedberger Ach" | name="Ohre" | name="Rott"
	| name="Ilmenau" | name="Oker" | name="Erft" | name="Mies" | name="Saalach" | name="Uecker"
	| name="Ucker" | name="Wied"),,,GID_medium_river)
MACRO_genlevels_stop(waterway=river & width>100,,,GID_very_big_river)
MACRO_genlevels_stop(waterway=river & width>50 ,,,GID_big_river)
MACRO_genlevels_stop(waterway=river & width>25 ,,,GID_medium_river)
MACRO_genlevels_stop(waterway=river,,, GID_small_river)

barrier=hedge { name '${name}' | 'Hecke' } [0xb000 level 0 continue]
barrier=fence { name '${name}' | 'Zaun' } [0xb000 level 0 continue]
barrier=wall { name '${name}' | 'Mauer' } [0xb000 level 0 continue]
barrier=retaining_wall { name '${name}' | 'Stützmauer' } [0xb000 level 0 continue]
barrier=city_wall { name '${name}' | 'Stadtmauer' } [0xb000 level 0 continue]
