include(constants.m4)

# Correct frequent tagging mistakes (found using tagwatch.stoecker.eu)
amenity=drinking-water { set amenity=drinking_water }

# Map unusual tags to more common ones (found using tagwatch.stoecker.eu)
amenity=Arzt { set amenity=doctors }
amenity=Bar { set amenity=bar }
amenity=Briefkasten { set amenity=post_box }
amenity=Rathaus { set amenity=townhall }
amenity=Kindergarten { set amenity=kindergarten }
amenity="bank;atm" { set amenity=bank; set atm=yes }
amenity=preschool { set amenity=school }
amenity=zahnarzt { set amenity=dentist }
leisure=Freibad { set leisure=water_park }

# tourism placed here because of priority
tourism=alpine_hut & amenity=restaurant { name '${name|start-with:Berghütte } (bewirtschaftet)' | 'Berghütte (bewirtschaftet)' }
                          POI_useful_trip(0x2b02)
tourism=alpine_hut { name '${name|start-with:Berghütte }' | 'Berghütte' }
                          POI_useful_trip(0x2b02)
tourism=attraction & historic=*
                          POI_useful_trip(0x2c02)
tourism=attraction        POI_useful_trip(0x2c04 continue)
tourism=artwork           POI_useful_trip(0x2c04)
tourism=camp_site & name~'.*[Zz]elt.*' { name '${name}' }
tourism=camp_site { name '${name|start-with:Campingplatz }' | 'Campingplatz' }
tourism=camp_site         POI_useful_trip(0x2b03 continue)
tourism=caravan_site { name 'Wohnmobil-Stellplatz ${name}' | 'Wohnwagen/Wohnmobil-Stellplatz' }
                          POI_useful_trip_details(0x2b03 continue)
tourism=chalet & (name~'.*Naturfreundehaus.*' | name~'.*[Pp]ension.*' | name~'.*[Gg]asthof.*' | name~'.*Gäste.*' | name~'.*Ferienbauernhof.*' ) { name '${name}' }
tourism=chalet { name '${name|start-with:Chalet }' | 'Chalet' }
tourism=chalet            POI_useful_trip(0x2b01 continue)
tourism=guest_house & (name~'.*Naturfreundehaus.*' | name~'.*[Pp]ension.*' | name~'.*[Gg]asthof.*' | name~'.*Gäste.*' | name~'.*Ferienbauernhof.*' ) { name '${name}' }
tourism=guest_house { name '${name|start-with:Gasthaus }' | 'Gasthaus' }
tourism=guest_house       POI_useful_trip(0x2b02 continue)
tourism=hostel & name~'JH .*' { name '${name|subst:JH ->Jugendherberge }' }
tourism=hostel & (name~'.*Naturfreundehaus.*' | name~'.*[Pp]ension.*' | name~'.*[Gg]asthof.*' | name~'.*Gäste.*') { name '${name}' }
tourism=hostel { name '${name|start-with:Herberge }' | 'Herberge' }
tourism=hostel            POI_useful_trip(0x2b02 continue)
tourism=hotel & (name~'.*Naturfreundehaus.*' | name~'.*[Pp]ension.*' | name~'.*[Gg]asthof.*' | name~'.*Gäste.*' | name~'.*Ferienbauernhof.*' ) { name '${name}' }
tourism=hotel { name '${name|start-with:Hotel } ${operator}' | '${name|start-with:Hotel }' | '${operator|start-with:Hotel }' | 'Hotel' }
tourism=hotel             POI_useful_trip(0x2b01 continue)
tourism=information & name~'.*bicycle.*' & name~'.*map.*' { name 'Fahrradstadtplan' }
tourism=information & name~'.*map.*' { name 'Stadtplan' }
tourism=information       POI_useful_trip(0x4c00)
tourism=motel { name '${name|start-with:Motel }' | 'Motel' }
                          POI_useful_trip(0x2b01 continue)
tourism=museum            POI_useful_trip(0x2c02)
tourism=picnic | tourism=picnic_site | tourism=picnic_area
                          POI_useful_trip(0x4a00)
tourism=resort            POI_useful_trip(0x2b04 continue)
tourism=theme_park        POI_useful_trip(0x2c01 continue)
tourism=viewpoint         { name '${name|start-with:Aussichtspunkt }' }
                          POI_useful_trip(0x5200)
tourism=wine_cellar       POI_useful_trip(0x2c0a continue)
tourism=zoo               POI_public_building(0x2c07)

(aeroway=airport | aeroway=aerodrome) & name~'.*Flughafen.*' { name '${name|start-with:Flughafen }' } [0x2f04 default_name='Flughafen' level 3]
(aeroway=airport | aeroway=aerodrome) { name '${name|start-with:Flugplatz }' } [0x2d0b default_name='Flugplatz' level 1]
aeroway=terminal & (name=* | ref=*) { name '${ref|start-with:Terminal }' | '${name|start-with:Terminal }' } [0x2f04 level 0]

#amenity=arts_centre
amenity=atm { name '${name|start-with:Geldautomat } (${operator})' | 'Geldautomat (${operator})' | '${name|start-with:Geldautomat }' | 'Geldautomat' }
                          POI_useful_daily_life(0x2f06)
amenity=bank & operator=* & atm=yes { name 'Bankfiliale ${operator} (Geldautomat)' }
                          POI_useful_daily_life(0x2f06)
amenity=bank & operator=* { name 'Bankfiliale ${operator}' }
                          POI_useful_daily_life(0x2f06)
amenity=bank { name '${name|start-with:Bank }' | 'Bankfiliale' }
                          POI_useful_daily_life(0x2f06)
amenity=bar { name '${name} (${beer})' | '${name}' }
                          POI_useful_trip(0x2d02)
amenity=bbq               POI_useful_trip(0x2a12)
amenity=bench             POI_useful_trip_details(0x4a01)
amenity=bicycle_parking & access!=no & access!=private & name!=* { name 'Parkplatz (Rad, ${capacity} Pl.)' | 'Parkplatz (Rad, ${spaces} Pl.)'; }
amenity=bicycle_parking & access!=no & access!=private & name~'.*[Pp]ark.*' { name '${name} (Rad, ${capacity} Pl.)' | '${name} (Rad, ${spaces} Pl.)' | '${name} (Rad)'; }
amenity=bicycle_parking & access!=no & access!=private { name 'Parkplatz ${name} (Rad, ${capacity} Pl.)' | 'Parkplatz ${name} (Rad, ${spaces} Pl.)'; }
amenity=bicycle_parking & access!=no & access!=private & capacity>99
                          POI_useful_cycling(0x2f0b)
amenity=bicycle_parking & access!= no & access!=private & spaces>99
                          POI_useful_cycling(0x2f0b)
amenity=bicycle_parking & access!=no & access!=private
                          POI_useful_cycling_details(0x2f0b)
amenity=bicycle_rental & name~'.*Fahrradverleih.' { name '${name} ${network} ${ref}' | '${name} ${network}' | '${name} ${operator}' }
                          POI_useful_cycling(0x2f02)
amenity=bicycle_rental { name '${name|start-with:Radstation } ${network} ${ref}' | '${name|start-with:Radstation } ${network}' | '${name|start-with:Radstation } ${operator}' | '${name|start-with:Radstation }' | 'Radstation' }
                          POI_useful_cycling(0x2f02)
amenity=biergarten        POI_useful_trip(0x2a10 default_name="Biergarten")

amenity=border_control    POI_useful_trip(0x3006)
amenity=bus_station { name '${name|start-with:Busbahnhof } (${bus_lines})' | '${name|start-with:Busbahnhof }' }
amenity=bus_station       POI_useful_public_transport(0x2f08 default_name="Busbahnhof")
amenity=cafe              POI_useful_trip(0x2a0e)
amenity=car_club          POI_useful_trip(0x2f0d)
amenity=car_rental        { name '${name|start-with:Autoverleih } ${operator}' | 'Autoverleih ${operator}' | 'Autoverleih' }
                          POI_useful_public_transport(0x2f02)
amenity=car_sharing & name~'.*carsharing.*' { name '${name} ${operator} (${capacity} Fahrzeuge)' | '${name} ${operator}' }
                          POI_useful_public_transport(0x2f02)
amenity=car_sharing       { name '${name|start-with:Car-Sharing } ${operator} (${capacity} Fahrzeuge)' | '${name|start-with:Car-Sharing } ${operator}' | 'Car-Sharing ${operator}' | 'Car-Sharing Station' }
                          POI_useful_public_transport(0x2f02)
amenity=car_wash          POI_background(0x2f0e default_name='Autowaschanlage')
amenity=casino            POI_public_building(0x2d04 default_name='Kasino')
amenity=cinema & ( name~'.*Kino.*' | name~'.*kino.*' | name~'.*Film.*' | name~'.*film.*' | name~'.*Lichtspiel.*')
                          POI_public_building(0x2d03)
amenity=cinema { name '${name} Kino' }
                          POI_public_building(0x2d03 default_name='Kino')
amenity=college           POI_public_building(0x2c05)
amenity=concert_hall      POI_public_building(0x2c09)
amenity=conference_centre POI_public_building(0x2c09)
amenity=convention_center POI_public_building(0x2c09)
amenity=community_centre | amenity=community_centre
                          POI_public_building(0x2c09)
amenity=courthouse        POI_public_building(0x3004 default_name='Gericht')
amenity=dentist | healthcare=dentist { name '${name|start-with:Zahnarzt }' | 'Zahnarztpraxis' }
                          POI_healthcare(0x3002)
amenity=doctors & (name~'.*Arzt.*' | name~'.*arzt.*')
                          POI_healthcare(0x3002)
amenity=doctors { name '${name|start-with:Arztpraxis }' }
                          POI_healthcare(0x3002 default_name='Arztpraxis')
amenity=drinking_water    POI_useful_trip_details(0x5000)
amenity=embassy { name '${name|start-with:Botschaft ' | 'Botschaft (${country})' | 'Botschaft' }
                          POI_public_building(0x3007)
amenity=emergency_phone   POI_useful_trip_details(0x5100)
# Hier würde ich gerne die Notfalltelefone entlang der Autobahnen herausnehmen, dann könnten die anderen Notfalltelefone
# auch prominenter dargestellt werden
amenity=fast_food & cuisine=grill
                          POI_useful_trip(0x2a03)
amenity=fast_food & cuisine~'.*pizza.*'
                          POI_useful_trip(0x2a0a)
amenity=fast_food         POI_useful_trip(0x2a07)
#amenity=ferry_terminal
amenity=fire_station { name '${name|subst:FFW ->Freiw. Feuerwehr |subst:FW ->Feuerwehr |start-with:Feuerwehr }' }
                          POI_public_building(0x3008 default_name='Feuerwehr')
amenity=food_court        POI_useful_trip(0x2a13)
amenity=fountain & drinkable=yes { name '${name} (Trinkwasser)' }
amenity=fountain & drinkable=mineral { name '${name} (Trinkwasser, mineralhaltig)' }
                          POI_useful_trip(0x6414)
amenity=fountain & name=* POI_public_building(0x641e)
amenity=fountain          POI_background(0x641e)
amenity=fuel { name '${name|start-with:Tankstelle } (${operator})' | '${name|start-with:Tankstelle }' | '${operator|start-with:Tankstelle }' }
amenity=fuel & shop=convenience
                          POI_useful_trip(0x2e06)
amenity=fuel              POI_useful_daily_life(0x2f01 default_name='Tankstelle')
amenity=grave_yard        POI_public_building(0x6403)

amenity=hospital & (name~'.*Klinik.*' | name~'.*klinik.*' | name~'.*Praxis.*' | name~'.*Spital.*') & emergency=yes { name '${name} (Notaufnahme, ${type})' | '${name} (Notaufnahme)' }
                          POI_healthcare(0x3002)
amenity=hospital & (name~'.*Klinik.*' | name~'.*klinik.*' | name~'.*Praxis.*' | name~'.*Spital.*') { name '${name} (${type})' | '${name}' }
                          POI_healthcare(0x3002)
amenity=hospital & emergency=yes { name '${name|start-with:Krankenhaus } (Notaufnahme, ${type})' | '${name|start-with:Krankenhaus } (Notaufnahme)' }
                          POI_healthcare(0x3002)
amenity=hospital & name=* { name '${name|start-with:Krankenhaus } (${type})' | '${name|start-with:Krankenhaus }' }
                          POI_healthcare(0x3002)
amenity=hospital & building!=yes POI_healthcare(0x3002)
amenity=kindergarten      POI_public_building(0x2c05 default_name='Kindergarten')
amenity=library           POI_public_building(0x2c03 default_name='Bibliothek')
#amenity=marketplace       POI_useful_daily_life()
amenity=nightclub         POI_useful_trip(0x2d02)
amenity=parcel_box        POI_useful_daily_life(0x640f default_name='Packstation')
# Car parking is only shown if it has a capacity of at least 10 cars
amenity=parking & (capacity!=* | capacity>9) & access!=no & access!=private & name!=* { name 'Parkplatz (Auto, max ${maxstay|subst:hours=>St.|subst:minutes=>Min.}, ${capacity} Pl.)' | 'Parkplatz (Auto, max ${maxstay|subst:hours=>St.|subst:minutes=>Min.})' | 'Parkplatz (Auto, ${capacity} Pl.)' | 'Parkplatz (Auto, ${spaces} Pl.)' }
                          POI_useful_daily_life(0x2f10)
amenity=parking & (capacity!=* | capacity>9) & access!=no & access!=private & name~'.*[Pp]ark.*' { name '${name} (Auto, max ${maxstay|subst:hours=>St.|subst:minutes=>Min.}, ${capacity} Pl.)' | '${name} (Auto, max ${maxstay|subst:hours=>St.|subst:minutes=>Min.})' | '${name} (Auto, ${spaces} Pl.)' | '${name} (Auto)' }
                          POI_useful_daily_life(0x2f10)
amenity=parking & (capacity!=* | capacity>9) & access!=no & access!=private { name 'Parkplatz (Auto, max ${maxstay|subst:hours=>St.|subst:minutes=>Min.}, ${capacity} Pl.)' | 'Parkplatz (Auto, max ${maxstay|subst:hours=>St.|subst:minutes=>Min.})' | 'Parkplatz (Auto, ${capacity} Pl.)' | 'Parkplatz (Auto, ${spaces} Pl.)' }
                          POI_useful_daily_life(0x2f10)
amenity=pharmacy          POI_healthcare(0x2e05)
amenity=place_of_worship & (religion=bahai | religion=buddhist | religion=hindu | religion=shinto)
                          POI_public_building(0x2c0f)
amenity=place_of_worship & religion=christian & (name~'.*Kirche.*' | name~'.*kirche.*')
                          POI_public_building(0x2c0e)
amenity=place_of_worship & religion=christian { name '${name} Kirche' }
                          POI_public_building(0x2c0e)
amenity=place_of_worship & religion=jewish
                          POI_public_building(0x2c10)
amenity=place_of_worship & name~'.*Moschee.*'
                          POI_public_building(0x2c0d)
amenity=place_of_worship & religion=muslim { name '${name} Moschee' }
                          POI_public_building(0x2c0d)
amenity=place_of_worship  POI_public_building(0x2c0b)
amenity=police            POI_public_building(0x3001 default_name='Polizeistation')
amenity=post_box          POI_useful_daily_life(0x640f default_name='Briefkasten')
amenity=post_office       POI_useful_daily_life(0x2f05 default_name='Postfiliale')
amenity=pub { name '${name} (${beer})' | '${name}' }
                          POI_useful_trip(0x2d02)
amenity=public_building   POI_public_building(0x3000)

amenity=recycling & recycling:glass=yes & recycling:paper=yes & recycling:batteries=yes
                          { name '${name} (${operator})' | '${name}' | 'Altpapier, -glas und -batterien ${operator}' | 'Altpapier, -glas und -batterien' }
amenity=recycling & recycling:glass=yes & recycling:paper=yes
                          { name '${name} (${operator})' | '${name}' | 'Altpapier und Altglas ${operator}' | 'Altpapier und Altglas' }
amenity=recycling & recycling:glass=yes
                          { name '${name} (${operator})' | '${name}' | 'Altglas ${operator}' | 'Altglas' }
amenity=recycling & recycling:paper=yes
                          { name '${name} (${operator})' | '${name}' | 'Altpapier ${operator}' | 'Altpapier' }
amenity=recycling & recycling:batteries=yes
                          { name '${name} (${operator})' | '${name}' | 'Altbatterien ${operator}' | 'Altbatterien' }
amenity=recycling         { name '${name} (${operator})' | '${name}' | '${operator}' | 'Recycling' }
amenity=recycling         POI_useful_daily_life(0x2f15)

amenity=restaurant & cuisine=american 
                          POI_useful_trip(0x2a01)
amenity=restaurant & cuisine=asian
                          POI_useful_trip(0x2a02)
amenity=restaurant & (cuisine=bagel | cuisine=donut)
                          POI_useful_trip(0x2a0d)
amenity=restaurant & cuisine=barbecue
                          POI_useful_trip(0x2a03)
amenity=restaurant & cuisine='cafe/diner'
                          POI_useful_trip(0x2a0e)
amenity=restaurant & (cuisine=chinese | cuisine=sichuan | cuisine=kantoneese | cuisine=shandong) 
                          POI_useful_trip(0x2a04)
amenity=restaurant & cuisine=deli
                          POI_useful_trip(0x2a05)
amenity=restaurant & cuisine=fish_and_chips
                          POI_useful_trip(0x2a11)
amenity=restaurant & cuisine=french
                          POI_useful_trip(0x2a0f)
amenity=restaurant & (cuisine=german | cuisine=bavarian)
                          POI_useful_trip(0x2a10)
amenity=restaurant & cuisine=grill
                          POI_useful_trip(0x2a03)
amenity=restaurant & cuisine=international
                          POI_useful_trip(0x2a06)
amenity=restaurant & cuisine=italian
                          POI_useful_trip(0x2a08)
amenity=restaurant & cuisine=japanese
                          POI_useful_trip(0x2a02)
amenity=restaurant & cuisine=korean
                          POI_useful_trip(0x2a02)
amenity=restaurant & cuisine=mexican
                          POI_useful_trip(0x2a09)
amenity=restaurant & cuisine~'.*pizza.*'
                          POI_useful_trip(0x2a0a)
amenity=restaurant & (cuisine=sea_food | cuisine=seafood)
                          POI_useful_trip(0x2a0b)
amenity=restaurant & cuisine=spanish
                          POI_useful_trip(0x2a09)
amenity=restaurant & cuisine=speciality
                          POI_useful_trip(0x2a12)
amenity=restaurant & (cuisine=steak | cuisine=streak_house)
                          POI_useful_trip(0x2a0c)
amenity=restaurant & cuisine=thai
                          POI_useful_trip(0x2a02)
amenity=restaurant & cuisine=*
                          POI_useful_trip(0x2a13)
amenity=restaurant        POI_useful_trip(0x2a00)
amenity=school            POI_public_building(0x2c05)
amenity=shelter | building=shelter { name '${name|start-with:Schutzhütte }' | 'Schutzhütte' }
                          POI_useful_trip_plus_one(0x2b04)
amenity=supermarket       POI_useful_daily_life(0x2e02)

amenity=taxi { name '${name|start-with:Taxistand }' }
                          POI_background(0x2f17 default_name='Taxistand')
amenity=telephone         POI_useful_trip_details(0x5100)
amenity=theatre & (name~'.*spiel.*' | name~'.*bühne.*')
                          POI_public_building(0x2d01 default_name='Theater')
amenity=theatre { name '${name|start-with:Theater }' }
                          POI_public_building(0x2d01 default_name='Theater')
amenity=toilets           POI_useful_trip(0x2f0c default_name='Toiletten')
amenity=townhall          POI_public_building(0x3003 default_name='Rathaus')
amenity=university        POI_public_building(0x2c05)
amenity=vending_machine & vending=bubble_gum { name 'Kaugummiautomat' }
                          POI_useful_daily_life(0x2e00)
amenity=vending_machine & (vending=bicycle_tube | vending=bicycle_tubes | vending='Fahrradschläuche' | vending='tire-tubes for bicycles' | vending='bicycle tubes') { name 'Fahrradschlauch-Automat' }
                          POI_useful_cycling(0x2f03)
amenity=vending_machine & vending=cigarettes { name 'Zigarettenautomat' }
                          POI_useful_daily_life(0x2e00)
amenity=vending_machine & vending=drinks { name 'Getränkeautomat' }
                          POI_useful_daily_life(0x2e00)
amenity=vending_machine & vending=news_papers { name 'Zeitungsautomat' }
                          POI_useful_daily_life(0x2e00)
amenity=vending_machine & vending=parcel_mail_in { name 'Paketbox (${operator})' | 'Paketbox' }
                          POI_useful_daily_life(0x640f)
amenity=vending_machine & (vending='parcel_pickup;parcel_mail_in' | vending='parcel pickup;parcel mail in' | vending=parcel_pickup | vending='parcel_pickup; parcel_mail_in' | vending='parcel_mail_in;parcel_pickup' | vending='parcel_pickup; parcel mail in' ) { name 'Packstation ${ref} (${operator})' | 'Packstation ${ref}' }
                          POI_useful_daily_life(0x640f default_name='Packstation')
amenity=vending_machine & vending=photos { name 'Fotoautomat' }
                          POI_useful_daily_life(0x2e00)
amenity=vending_machine & vending=public_transport_tickets { name 'Fahrkartenautomat' }
                          POI_useful_daily_life(0x2e00)
amenity=vending_machine & vending=stamps { name 'Briefmarkenautomat' }
                          POI_useful_daily_life(0x2e00)
amenity=vending_machine & vending=toys { name 'Spielzeugautomat' }
                          POI_useful_daily_life(0x2e00)
amenity=vending_machine & vending=parking_tickets { name 'Parkscheinautomat' }
                          POI_background(0x2e00)
amenity=vending_machine & vending=* { name 'Automat (${vending|subst:;=>, |subst:food=>Lebensmittel|subst:drinks=>Getränke|subst:sweets=>Süßigkeiten|subst:cigarettes=>Zigaretten|subst:news_papers=>Zeitungen|subst:stamps=>Briefmarken})' }
                          POI_useful_daily_life(0x2e00)
amenity=zoo               POI_public_building(0x2c07)

define(`no_bicycle_access',`((access=no & bicycle!=yes & bicycle!=permissive & bicycle!=designated & bicycle!=official & bicycle!=destination) | bicycle=no | bicycle=private)')

barrier=block & no_bicycle_access { name '${name} (keine Durchfahrt)' }
                          POI_useful_trip(0x5800)
barrier=block { name '${name} (Durchfahrt möglich)' }
                          POI_background(0x5801)

barrier=bollard & no_bicycle_access { name '${name} (keine Durchfahrt)' }
                          POI_useful_trip(0x5802)
barrier=bollard { name '${name} (Durchfahrt möglich)' }
                          POI_background(0x5803)

barrier=border_control    POI_useful_trip(0x3006)

barrier=bump_gate & no_bicycle_access { name '${name} (keine Durchfahrt)' }
                          POI_useful_trip(0x5800)
barrier=bump_gate { name '${name} (Durchfahrt möglich)' }
                          POI_background(0x5801)

barrier=bus_trap & no_bicycle_access { name '${name} (keine Durchfahrt)' }
                          POI_background(0x5804)

barrier=cattle_grid & no_bicycle_access { name '${name} (keine Durchfahrt)' }
                          POI_useful_trip(0x5806)
barrier=cattle_grid { name '${name} (Durchfahrt möglich)' }
                          POI_background(0x5807)

barrier=chain & no_bicycle_access { name '${name} (keine Durchfahrt)' }
                          POI_useful_trip(0x5808)
barrier=chain { name '${name} (Durchfahrt möglich)' }
                          POI_background(0x5809)

barrier=cycle_barrier & no_bicycle_access { name '${name} (keine Durchfahrt)' }
                          POI_useful_trip(0x580a)
barrier=cycle_barrier { name '${name} (Durchfahrt möglich)' }
                          POI_background(0x580b)

barrier=drawbridge & no_bicycle_access { name '${name} (kein Zugang)' }
                          POI_useful_trip(0x580c)

barrier=gate & no_bicycle_access { name '${name} (kein Zugang)' }
                          POI_useful_trip(0x580e)
barrier=gate { name '${name} (Zugang möglich)' }
                          POI_background(0x580f)
highway=gate { name '${name} (Zugang möglich)' }
                          POI_background(0x580f)

barrier=hampshire_gate & no_bicycle_access  { name '${name} (kein Zugang)' }
                          POI_useful_trip(0x580e)
barrier=hampshire_gate { name '${name} (Zugang möglich)' }
                          POI_background(0x580f)

barrier=kissing_gate & no_bicycle_access { name '${name} (keine Durchfahrt)' }
                          POI_useful_trip(0x5810)
barrier=kissing_gate & bicycle=yes { name '${name} (Raddurchlass)' }
                          POI_background(0x5811)
barrier=kissing_gate      POI_background(0x5812)

barrier=lift_gate & no_bicycle_access { name '${name} (kein Zugang)' }
                          POI_useful_trip(0x5814)
barrier=lift_gate { name '${name} (Zugang möglich)' }
                          POI_background(0x5815)

barrier=portcullis & no_bicycle_access { name '${name} (kein Zugang)' }
                          POI_background(0x5816)

barrier=sally_port & no_bicycle_access { name '${name} (kein Zugang)' }
                          POI_background(0x5817)

barrier=spikes & no_bicycle_access { name '${name} (keine Durchfahrt)' }
                          POI_useful_trip(0x5802)
barrier=spikes { name '${name} (Durchfahrt möglich)' }
                          POI_background(0x5803)

barrier=stile { name '${name}' }
                          POI_background(0x5818)

barrier=entrance & no_bicycle_access { name '${name} (kein Zugang)' }
                          POI_background(0x581e)
barrier=entrance { name '${name} (Zugang möglich)' }
                          POI_background(0x581f)

highway=bus_stop & shelter=yes { name 'Unterstand (Bushaltestelle)' } POI_useful_trip(0x2b04 continue)
highway=bus_stop { name '${name|start-with:Bushaltestelle } (${bus_lines|subst:;=>, })' 
	| '${name|start-with:Bushaltestelle } (${bus_routes|subst:;=>, })'
	| '${name|start-with:Bushaltestelle } (${route_ref|subst:;=>, })'
	| '${name|start-with:Bushaltestelle } (${line|subst:;=>, })'
	| '${name|start-with:Bushaltestelle } (${lines|subst:;=>, })'
	| '${name|start-with:Bushaltestelle }' }
highway=bus_stop          POI_useful_public_transport(0x2f08)
highway=incline | highway=steep_incline
                          POI_useful_cycling(0x1c06)
highway=motorway_junction { name '${ref} ${name}' | '${ref}' | '${name}' }
highway=motorway_junction POI_background(0x2000)

highway=services { name '${ref} ${name}' | '${ref}' | '${name}' }
highway=services          POI_useful_daily_life(0x210f)
highway=stop              POI_background(0x5700)
highway=traffic_signals   POI_background(0x5701)

historic=archaeological_site POI_background(0x2c02)

historic=castle & (castle_type=burg | castle_type=defensive) & ruins=yes
                          { name '${name|start-with:Ruine |start-with:Burg }' }
                          POI_castle(0x6001 continue)
historic=castle & (castle_type=burg | castle_type=defensive) & ruins!=yes
                          { name '${name|start-with:Burg }' }
                          POI_castle(0x6000 continue)
historic=castle & (castle_type=schloss | castle_type=stately) & ruins=yes
                          { name '${name|start-with:Ruine |start-with:Schloss }' }
                          POI_castle(0x6003 continue)
historic=castle & (castle_type=schloss | castle_type=stately) & ruins!=yes
                          { name '${name|start-with:Schloss }' }
                          POI_castle(0x6002 continue)
historic=castle & (castle_type='burg;schloss' | castle_type='schloss;burg' | castle_type='defensive;stately' | castle_type='stately;defensive') & ruins=yes & name~'.*burg.*'
                          { name '${name|start-with:Ruine }' }
historic=castle & (castle_type='burg;schloss' | castle_type='schloss;burg' | castle_type='defensive;stately' | castle_type='stately;defensive') & ruins=yes
                          { name '${name|start-with:Ruine |start-with:Schloss }' }
historic=castle & (castle_type='burg;schloss' | castle_type='schloss;burg' | castle_type='defensive;stately' | castle_type='stately;defensive') & ruins=yes
                          POI_castle(0x6005 continue)
historic=castle & (castle_type='burg;schloss' | castle_type='schloss;burg' | castle_type='defensive;stately' | castle_type='stately;defensive') & name~'.*burg.*'
                          { set dummy=yes }
historic=castle & (castle_type='burg;schloss' | castle_type='schloss;burg' | castle_type='defensive;stately' | castle_type='stately;defensive')
                          { name '${name|start-with:Schloss }' }
historic=castle & (castle_type='burg;schloss' | castle_type='schloss;burg' | castle_type='defensive;stately' | castle_type='stately;defensive') & ruins!=yes
                          POI_castle(0x6004 continue)
historic=castle & (castle_type=festung | castle_type=fortress) & ruins=yes
                          { name '${name|start-with:Ruine |start-with:Festung }' }
                          POI_castle(0x6007 continue)
historic=castle & (castle_type=festung | castle_type=fortress) & ruins!=yes
                          { name '${name|start-with:Festung }' }
                          POI_castle(0x6006 continue)
historic=castle & tourism=attraction
                          POI_background(0x2c00)

historic=church           POI_public_building(0x2c0e)
historic=house            POI_public_building(0x6402)
historic=manor            POI_public_building(0x6402)
historic=memorial & type=shrine
                          POI_background(0x3009)
historic=memorial { name '${name|start-with:Denkmal }' }
                          POI_public_building(0x2c02)
#historic=monument         POI_public_building(0x2c0e)
historic=museum { name '${name|start-with:Museum }' }
                          POI_public_building(0x2c02)
#historic=ruins            POI_public_building()
historic=tower            POI_public_building(0x6411)
#historic=wayside_cross
historic=wayside_shrine   POI_background(0x3009)

leisure=golf_course & (name~'.*Golf.*' | name~'.*golf.*')
                          POI_useful_daily_life(0x2d05)
leisure=golf_course { name '${name|start-with:Golfplatz }' }
                          POI_useful_daily_life(0x2d05 default_name='Golfplatz')

leisure=ice_rink          POI_useful_daily_life(0x2d08)
leisure=marina            POI_useful_daily_life(0x4300)
leisure=nature_reserve & name=* { name '${name|start-with:Naturschutzgebiet }' }
                          POI_useful_daily_life(0x2c06)
leisure=park & (name~'.*Garten.*' | name~'.*garten.*' | name~'.*Gärten.*' | name~'.*gärten.*' | name~'.*Wald.*' | name~'.*wald.*')
                          POI_useful_daily_life(0x2c06)
leisure=park & name=* { name '${name|start-with:Park }' }
                          POI_useful_daily_life(0x2c06)

define(`SUBST_sport', `subst:;=>, |subst:9pin=>Kegeln|subst:10pin=>Bowling|subst:archery=>Bogenschießen|subst:athletics=>Leichtathletik|subst:australian_football=>Australian Football|subst:baseball=>Baseball|subst:basketball=>Basketball|subst:beachvolleyball=>Beachvolleyball|subst:boules=>Boule|subst:bowls=>Bowls|subst:canoe=>Kanadier|subst:chess=>Schach|subst:climbing=>Klettern|subst:cricket=>Cricket|subst:cricket_nets=>Cricket (Netz)|subst:croquet=>Croquet|subst:cycling=>Radsport|subst:diving=>Tauchen|subst:dog_racing=>Hunderennen|subst:equestrian=>Reitsport|subst:football=>American Football|subst:golf=>Golf|subst:gymnastics=>Turnen|subst:hockey=>Hockey|subst:horse_racing=>Pferderennen|subst:motor=>Motorsport|subst:multi=>Mehrzweck|subst:pelota=>Pelota|subst:racquet=>Racquetball|subst:rowing=>Rudern|subst:rugby=>Rugby|subst:shooting=>Schießsport|subst:skating=>Eislauf|subst:skateboard=>Skateboard|subst:skiing=>Ski|subst:soccer=>Fußball|subst:swimming=>Schwimmen|subst:table_tennis=>Tischtennis|subst:team_handball=>Handball|subst:tennis=>Tennis|subst:volleyball=>Volleyball')

leisure=pitch & sport=9pin { name '${name|start-with:Kegelbahn }' | 'Kegelbahn' }
                          POI_useful_daily_life(0x002d)
leisure=pitch & sport=10pin { name '${name|start-with:Bowlingbahn }' | 'Bowlingbahn' }
                          POI_useful_daily_life(0x2d07)
leisure=pitch & sport=chess & name~'.*[Ss]chach.*'
                          POI_useful_daily_life(0x2d00)
leisure=pitch & sport=chess { name 'Freiluft-Schach ${name}' }
                          POI_useful_daily_life(0x2d00)
leisure=pitch & sport=climbing { name '${name|start-with:Kletterwand }' | 'Kletterwand' }
                          POI_useful_daily_life(0x2d0a)
leisure=pitch & sport=cycling { name '${name|start-with:Radrennbahn }' | 'Radrennbahn' }
                          POI_stadium(0x2c08)
leisure=pitch & sport=dog_racing { name '${name|start-with:Hunderennbahn }' | 'Hunderennbahn' }
                          POI_stadium(0x2c08)
leisure=pitch & sport=equestrian { name '${name|start-with:Reitplatz }' | 'Reitplatz' }
                          POI_useful_daily_life(0x2d0a)
leisure=pitch & sport=golf { name '${name|start-with:Golfplatz }' | 'Golfplatz' }
                          POI_useful_daily_life(0x2d05)
leisure=pitch & sport=hockey { name '${name|start-with:Hockeyplatz }' | 'Hockeyplatz' }
                          POI_stadium(0x2c08)
leisure=pitch & sport=horse_racing { name '${name|start-with:Pferderennbahn }' | 'Pferderennbahn' }
                          POI_stadium(0x2c08)
leisure=pitch & sport=multi { name '${name|start-with:Mehrzweckanlage }' | 'Mehrzweckanlage' }
                          POI_useful_daily_life(0x2d0a)
leisure=pitch & sport=rugby { name '${name|start-with:Rugbyplatz }' | 'Rugbyplatz' }
                          POI_stadium(0x2c08)
leisure=pitch & sport=shooting { name '${name|start-with:Schießbahn }' | 'Schießbahn' }
                          POI_useful_daily_life(0x2d0a)
leisure=pitch & sport=skateboard { name '${name|start-with:Skatepark }' | 'Skatepark' }
                          POI_useful_daily_life(0x2d0a)
leisure=pitch & sport=skating { name '${name|start-with:Eislaufplatz }' | 'Eislaufplatz' }
                          POI_useful_daily_life(0x2d08)
leisure=pitch & sport=skiing { name '${name|start-with:Skipiste }' | 'Skipiste' }
                          POI_useful_daily_life(0x2d06)
leisure=pitch & sport=soccer { name '${name}' | 'Fußballplatz' }
                          POI_useful_daily_life(0x2d0a)
leisure=pitch & sport=swimming & (name~'.*Bad.*' | name~'.*bad.*')
                          POI_useful_daily_life(0x2d09)                          
leisure=pitch & sport=swimming { name '${name|start-with:Schwimmbad }' | 'Schwimmbad' }
                          POI_useful_daily_life(0x2d09)
leisure=pitch & sport=tennis { name '${name|start-with:Tennisplatz }' | 'Tennisplatz' }
                          POI_useful_daily_life(0x2d0a)
leisure=pitch { name '${name} (${sport|SUBST_sport})' | 'Spielfeld (${sport|SUBST_sport})' | 'Spielfeld' }
                          POI_useful_daily_life(0x2d0a)

leisure=playground { name '${name|start-with:Spielplatz }' | 'Spielplatz' }
                          POI_useful_daily_life(0x2c06)

(leisure=sports_center | leisure=sports_centre) & sport=9pin
                          { name '${name|start-with:Kegelbahn }' | 'Kegelbahn' }
                          POI_useful_daily_life(0x2d0a)
(leisure=sports_center | leisure=sports_centre) & sport=10pin
                          { name '${name|start-with:Bowlingzentrum }' | 'Bowlingzentrum' }
                          POI_useful_daily_life(0x2d07)
leisure=sports_center | leisure=sports_centre
                          { name '${name|start-with:Sportzentrum } (${sport|SUBST_sport})' | '${name|start-with:Sportzentrum }' | 'Sportzentrum' }
                          POI_useful_daily_life(0x2d0a default_name='Sportzentrum')

leisure=stadium           { name '${name} (${sport|SUBST_sport})' | '${name}' | 'Stadion (${sport|SUBST_sport})' }
                          POI_stadium(0x2c08)

leisure=track & sport=cycling { name '${name|start-with:Radrennbahn }' | 'Radrennbahn' }
                          POI_stadium(0x2c08)
leisure=track & sport=dog_racing { name '${name|start-with:Hunderennbahn }' | 'Hunderennbahn' }
                          POI_stadium(0x2c08)
leisure=track & sport=equestrian { name '${name|start-with:Reitplatz }' | 'Reitplatz' }
                          POI_stadium(0x2c08)
leisure=track & sport=horse_racing { name '${name|start-with:Pferderennbahn }' | 'Pferderennbahn' }
                          POI_stadium(0x2c08)
leisure=track & sport=multi { name '${name|start-with:Mehrzweckanlage }' | 'Mehrzweckanlage' }
                          POI_useful_daily_life(0x2d0a)
leisure=track & sport=skating & name~'.*Eis.*'
                          POI_useful_daily_life(0x2d08)
leisure=track & sport=skating { name '${name|start-with:Eislaufbahn }' }
                          POI_useful_daily_life(0x2d08 default_name='Eislaufbahn')
leisure=track & sport=skiing { name '${name|start-with:Skipiste }' | 'Skipiste' }
                          POI_useful_daily_life(0x2d06)
leisure=track { name '${name} (${sport|SUBST_sport})' | 'Rennbahn (${sport|SUBST_sport})' | 'Rennbahn' }
                          POI_stadium(0x2c08)
leisure=water_park & (name~'.*Bad.*' | name~'.*bad.*')
                          POI_useful_daily_life(0x2d09)
leisure=water_park { name '${name|start-with:Erlebnisbad }' }
                          POI_useful_daily_life(0x2d09 default_name='Erlebnisbad')

man_made=crane { name '${name|start-with:Kran }' }
                          POI_background(0x6417)
man_made=lighthouse       POI_background(0x1b0f default_name="Leuchtturm")
man_made=power_wind       POI_background(0x300a)
man_made=tower            POI_background(0x6411)
#man_made=windmill

natural=beach             POI_useful_daily_life(0x6604)
natural=cave_entrance     POI_useful_trip_details(0x641a)
natural=cliff             POI_useful_trip(0x6607)
natural=glacier           POI_useful_trip(0x650a)
natural=peak { set ele='${ele|subst:m}'; name '${name|def:}${ele|height:m=>ft|def:}' }
natural=peak & (ele>2900 | name='Zugspitze') [0x6616 level 5]
natural=peak & ele>2500   [0x6616 level 4]
natural=peak & ele>2000   [0x6616 level 3]
natural=peak              POI_useful_trip(0x6616)
natural=rock              POI_background(0x6614)
natural=spring & name~'.*[Qq]uelle.*'
                          POI_useful_trip_details(0x6511)
natural=spring { name '${name} Quelle' | 'Quelle' }
                          POI_useful_trip_details(0x6511)
#natural=stream [0x6512 resolution 21]
natural=tree { name 'Baum (${species:de})' }
                          POI_background(0x640e)
natural=volcano           POI_useful_trip(0x2c0c)
natural=wetland           POI_useful_trip(0x6513)
#natural=wood [0x6618 resolution 21]

# Order map levels of cities
place=city   & population > 999999 [0x0100 resolution 14]
place=city   & population > 499999 [0x0200 resolution 14]
place=city   & population > 399999 [0x0300 resolution 16]
place=city   & population > 299999 [0x0400 resolution 16]
place=city   & population > 199999 [0x0500 resolution 16]
place=city   & population >  99999 [0x0600 resolution 18]
place=city   & population >  49999 [0x0700 resolution 18]
place=city   & population >  24999 [0x0800 resolution 18]
place=city   & population >  19999 [0x0900 resolution 18]
place=city   & population >   9999 [0x0a00 resolution 18]
place=city   & population >   4999 [0x0b00 resolution 18]
place=city   & population=*        [0x0c00 resolution 20]
place=city                         [0x0800 resolution 18]
place=town   & population >  49999 [0x0700 resolution 18]
place=town   & population >  24999 [0x0800 resolution 18]
place=town   & population >  19999 [0x0900 resolution 18]
place=town   & population >   9999 [0x0a00 resolution 18]
place=town   & population >   4999 [0x0b00 resolution 18]
place=town   & population=*        [0x0c00 resolution 20]
place=town                         [0x0a00 resolution 18]
place=hamlet                       [0x1100 resolution 22]
place=suburb & population >  49999 [0x0d00 resolution 18]
place=suburb & population >  19999 [0x0e00 resolution 20]
place=suburb                       [0x0f00 resolution 20]
place=village                      [0x1000 resolution 20]

place=island                       [0x650c resolution 20]

power=generator & power_source=wind
                          POI_background(0x300a)
power=tower { name '${name} (${ref})' | 'Strommast (${ref})' }
                          POI_background(0x641f)

railway=halt { name 'Haltestelle ${name}' | 'Haltestelle' }
                          POI_useful_public_transport(0x2f08)
railway=station { name '${name|start-with:Bahnhof } (${operator})' | '${name|start-with:Bahnhof }' | 'Bahnhof' }
                          POI_public_building(0x2f08)
railway=subway_entrance & bicycle!=no { name 'U-Bahn Eingang ${name}' | 'U-Bahn Eingang' }
                          POI_useful_public_transport(0x2f08)
railway=tram_stop { name 'Haltestelle ${name}' | 'Haltestelle' }
                          POI_useful_public_transport(0x2f08)

shop=adult & name~'.*Sex.*'
                          POI_useful_daily_life(0x2e0a)  
shop=adult { name 'Sex-Shop ${name}' }
                          POI_useful_daily_life(0x2e0a default_name='Sex-Shop')
shop=animals & name~'.*Tier.*'
                          POI_useful_daily_life(0x2e0a)
shop=animals { name 'Tierhandlung ${name}' }
                          POI_useful_daily_life(0x2e0a default_name='Tierhandlung')
shop=bakers & name~'.*Bäcker.*'
                          POI_useful_daily_life(0x2e02)
shop=bakery & name~'.*Bäcker.*'
                          POI_useful_daily_life(0x2e02)
shop=bakers | shop=bakery { name '${name|start-with:Bäckerei }' }
                          POI_useful_daily_life(0x2e02 default_name='Bäckerei')
shop=beauty               POI_useful_daily_life(0x2f10)
shop=beverages & name~'.*Getränke.*'
                          POI_useful_daily_life(0x2e02)
shop=beverages { name 'Getränkemarkt ${name}' }
                          POI_useful_daily_life(0x2e02 default_name='Getränkemarkt')
shop=bicycle              POI_useful_cycling(0x2f0a default_name='Fahrradhandel')
shop=boat                 POI_useful_daily_life(0x2f09 default_name='Bootsausrüstung')
shop=books & (name~'.*Buch.*' | name~'.*Bücher.*')
                          POI_useful_daily_life(0x2e0a)
shop=books { name 'Buchhandlung ${name}' }
                          POI_useful_daily_life(0x2e0a default_name='Buchhandlung')
(shop=butcher | shop=butchers) & name~'.*Fleischerei.*'
                          POI_useful_daily_life(0x2e00)
shop=butcher | shop=butchers { name '${name|start-with:Metzgerei }' }
                          POI_useful_daily_life(0x2e00 default_name='Metzgerei')
shop=car | shop=car_dealer
                          POI_useful_daily_life(0x2f07 default_name='Autohandel')
shop=car_parts            POI_useful_daily_life(0x2f03 default_name='Autozubehörhandel')
shop=car_repair           POI_useful_daily_life(0x2f03 default_name='Autowerkstatt')
shop=chemist { name '${name|start-with:Drogerie }' }
                          POI_useful_daily_life(0x2e00 default_name='Drogerie')
shop=clothes              POI_useful_daily_life(0x2e07 default_name='Bekleidungsgeschäft')
shop=computer             POI_useful_daily_life(0x2e0b default_name='Computer-Fachhändler')
shop=confectionery        POI_useful_daily_life(0x2e0a default_name='Süßigkeitengeschäft')
shop=convenience          POI_useful_daily_life(0x2e02 default_name='Tante-Emma-Laden')
(shop=copy | shop=copyshop) & (name~'.*Copy.*' | name~'.*Kopie.*')
                          POI_useful_daily_life(0x2e00)
(shop=copy | shop=copyshop) { name 'Kopierladen ${name}' }
                          POI_useful_daily_life(0x2e00 default_name='Kopierladen')
shop=department_store     POI_useful_daily_life(0x2e01 default_name='Kaufhaus')
shop=dry_cleaning { name '${name|start-with:Chemische Reinigung }' }
                          POI_useful_daily_life(0x2e07 default_name='Chemische Reinigung')
shop=doityourself { name '${name|start-with:Baumarkt ' }
                          POI_useful_daily_life(0x2e08 default_name='Baumarkt')
shop=electronics & (name~'.*Elektronik.*' | name~'.*Electronic.*')
                          POI_useful_daily_life(0x2e0a)
shop=electronics { name 'Elektronik-Markt ${name}' }
                          POI_useful_daily_life(0x2e0a default_name='Elektronik-Markt')
shop=fashion              POI_useful_daily_life(0x2e07 default_name='Modegeschäft')
shop=florist & name~'.*Blumen.*'
                          POI_useful_daily_life(0x2e0a)  
shop=florist { name '${name|start-with:Florist }' }
                          POI_useful_daily_life(0x2e0a default_name='Florist')
shop=furniture & (name~'.*Möbel.*' | name='Ikea' | name~'.*Schreinerei.*' | name~'.*Holz.*' | name~'.*Matratzen.*' |  name~'.*Gardinen.*' | name~'.*Teppich.*')
                          POI_useful_daily_life(0x2e09)
shop=furniture { name '${name|start-with:Möbelhaus }' }
                          POI_useful_daily_life(0x2e09 default_name='Möbelhaus')
(shop=garden_centre | shop=garden_center) & (name~'.*Garten.*' | name~'.*Gärtnerei.*' | name~'.*Pflanzen.*')
                          POI_useful_daily_life(0x2e08)
(shop=garden_centre | shop=garden_center) { name 'Garten-Center ${name}' }
                          POI_useful_daily_life(0x2e08 default_name='Garten-Center')
shop=general              POI_useful_daily_life(0x2e03)
shop=greengrocer & (name~'.*Gemüse.*' | '.*Obst.*')
                          POI_useful_daily_life(0x2e02)
shop=greengrocer { name 'Obst-/Gemüsehandlung ${name}' }
	                      POI_useful_daily_life(0x2e02 default_name='Obst-/Gemüsehandlung')
shop=hairdresser & (name~'.*Frisör.*' | name~'.*Friseur.*' | name~'.*Frisier.*')
                          POI_useful_daily_life(0x2e00)
shop=hairdresser { name '${name|start-with:Friseur }' }
                          POI_useful_daily_life(0x2e00 default_name='Friseur')
shop=hardware             POI_useful_daily_life(0x2e09 default_name='Eisenwarenhandlung')
shop=hifi & (name~'.*Hifi.*' | name~'.*Audio.*' | name~'.*Radio.*')
                          POI_useful_daily_life(0x2e0a)
shop=hifi { name 'Hifi-Fachhandlung ${name}' }
                          POI_useful_daily_life(0x2e0a default_name='Hifi-Fachhandlung')
shop=kiosk { name '${name|start-with:Kiosk }' | 'Kiosk' }
                          POI_useful_daily_life(0x2e02)
shop=laundry & self_service=yes { name '${name|start-with:Waschsalon }' }
                          POI_useful_daily_life(0x2e07 default_name='Waschsalon')
shop=laundry & name~'.*Reinigung.*'
                          POI_useful_daily_life(0x2e07)
shop=laundry { name '${name|start-with:Wäscherei }' }
                          POI_useful_daily_life(0x2e07 default_name='Wäscherei')
shop=mall                 POI_useful_daily_life(0x2e04 default_name='Einkaufszentrum')
shop=motorcycle           POI_useful_daily_life(0x2f07 default_name='Motorradhandel')
shop=optician & (name~'.*[Oo]ptik.*' | name~'.*Brille.*')
                          POI_useful_daily_life(0x2e0a default_name='Optiker')
shop=optician { name '${name|start-with:Optiker }' }
                          POI_useful_daily_life(0x2e0a default_name='Optiker')
shop=organic              POI_useful_daily_life(0x2e02 default_name='Biosupermarkt')
shop=outdoor & (name~'.*Outdoor.*' | name~'.*Camping.*')
                          POI_useful_daily_life(0x2e0a)
shop=outdoor { name 'Outdoor-Laden ${name}' }
                          POI_useful_daily_life(0x2e0a default_name='Outdoor-Laden')
shop=shoes & (name~'.*Schuh.*' | name~'.*Orthopäd.*')
                          POI_useful_daily_life(0x2e0a)
shop=shoes { name 'Schuhgeschäft ${name}' }
                          POI_useful_daily_life(0x2e0a default_name='Schuhgeschäft')
shop=sports & name~'.*[Ss]port.*'
                          POI_useful_daily_life(0x2e0a)
shop=sports { name 'Sporthandlung ${name}' }
                          POI_useful_daily_life(0x2e0a default_name='Sporthandlung')
shop=stationery & (name~'.*Schreibwaren.*' | name~'.*Büro.*')
                          POI_useful_daily_life(0x2e0a)
shop=stationery { name 'Schreibwaren ${name}' }
                          POI_useful_daily_life(0x2e0a default_name='Schreibwarenhandlung')
shop=supermarket          POI_useful_daily_life(0x2e02 default_name='Supermarkt')
shop=toys & name~'.*Spiel.*'
                          POI_useful_daily_life(0x2e0a)
shop=toys { name 'Spielzeug ${name}' }
                          POI_useful_daily_life(0x2e0a default_name='Spielzeuggeschäft')
shop=tires | shop=tyres   POI_useful_daily_life(0x2f03 default_name='Reifenhandel')
shop=travel_agency & (name~'.*Reise.*' | name~'.*reise.*')
                          POI_useful_daily_life(0x2e0a)
shop=travel_agency { name 'Reisebüro ${name}' }
                          POI_useful_daily_life(0x2e0a default_name='Reisebüro')
(shop=video | shop=video_rental) & name~'.*Video.*'
                          POI_useful_daily_life(0x2e00)
(shop=video | shop=video_rental) { name 'Videothek ${name}' }
                          POI_useful_daily_life(0x2e00 default_name='Videothek')
shop=*                    POI_useful_daily_life(0x2e00)

sport=9pin { name '${name|start-with:Kegelbahn }' | 'Kegelbahn' }
                          POI_useful_daily_life(0x2d07)
sport=10pin { name '${name|start-with:Bowling }' | 'Bowlingbahn' }
                          POI_useful_daily_life(0x2d07)
#sport=airport             POI_useful_daily_life(0x2d0b)
sport=multi { name 'Mehrzweck-Sportanlage ${name}' | 'Mehrzweck-Sportanlage' }
                          POI_useful_daily_life(0x2d0a)
sport=skating & name~'.*Eis.*'
                          POI_useful_daily_life(0x2d08)
sport=skating { name '${name|start-with:Eislaufbahn }' | 'Eislaufbahn' }
                          POI_useful_daily_life(0x2d08)
#sport=skiing              POI_useful_daily_life(0x2d06)
sport=swimming & waterway=river { name '${name|start-with:Schwimmstrecke }' }
                          POI_useful_daily_life(0x2d09 default_name='Schwimmstrecke')
sport=swimming & (name~'.*Bad.*' | name~'.*bad.*')
                          POI_useful_daily_life(0x2d09)
sport=swimming & building=yes { name '${name|start-with:Hallenbad }' }
                          POI_useful_daily_life(0x2d09 default_name='Hallenbad')
sport=swimming { name '${name|start-with:Schwimmbad }' }
                          POI_useful_daily_life(0x2d09)

# tourism placed on top of file because of priority

#addr:housenumber=* & addr:street=* & addr:city=* { name '${addr:street} ${addr:housenumber|subst:;=>, }/${addr:city}' }
#                          POI_background(0x640a)
#addr:housenumber=* & addr:street=* & is_in=* { name '${addr:street} ${addr:housenumber|subst:;=>, }/${is_in}' }
#                          POI_background(0x640a)
