
#
# You can have rules for relations.  Usually you will set tags on the
# elements that make up the relation.
#
# eg. type=route route=bus { apply { set route=bus; add rn='${route_no}' ; }}
#

include(constants.m4)

define(`routeaction',`{
	name "${ref|subst: |highway-symbol:$1} ${name}" | "${ref|subst: |highway-symbol:$1}" | "${name}";
	apply {
		set $2=yes;
		access_always
	}
}')

# map the cycle routes to the lcn, rcn and ncn tags
MACRO_genlevels_stop(type=route & route=bicycle & network=icn, routeaction(hbox,icn),, GID_ICN)
MACRO_genlevels_stop(type=route & route=bicycle & network=ncn, routeaction(hbox,ncn),, GID_NCN)
MACRO_genlevels_stop(type=route & route=bicycle & network=rcn, routeaction(box,rcn),,  GID_RCN)
MACRO_genlevels_stop(type=route & route=bicycle & network=lcn, routeaction(oval,lcn),, GID_LCN)
MACRO_genlevels_stop(type=route & route=bicycle & network=tcn, routeaction(box,tcn),,  GID_TCN)

type=route & route=mtb
	{
		name '${ref} ${name}' | '${ref}' | '${name}';
		apply {
			set routable_way_generated=yes;
			set cycleroute_from_relation=yes;
			access_always
		}
	} [ GID_MTB level LEV_MTB ]

# railway relations
type=route & (line=rail | route=train | line=light_rail | route=light_rail | line=subway | route=subway | line=tram | route=tram | line=ferry | route=ferry)
	{
		apply_once {
			add name='${name}';
		}
	}
