function write_contours_to_file(FOUT, level, C)
	global wayid;
	global nodeid;

	% Write contours into file
	c_index = 1;
	while c_index < size(C,2)
		polygon_contourlevel = C(1,c_index);
		polygon_numpoints = C(2,c_index);
		c_index = c_index + 1;
		
		points_in_batch = min([ polygon_numpoints 250 ]); % maximum of 250 points in one batch
		
		while polygon_numpoints > 1
			nodeid_first_point = nodeid;
			for n_index = c_index:(c_index+points_in_batch-1)
				fprintf(FOUT, "<node id='%d' lat='%.7f' lon='%.7f' />\n", nodeid, C(1,n_index), C(2,n_index));
				nodeid = nodeid+1;
			end

			fprintf(FOUT, "<way id='%d'>\n", wayid);
			wayid = wayid + 1;
			nodeid_temp = nodeid_first_point;
			for n_index = c_index:(c_index+points_in_batch-1)
				fprintf(FOUT, "<nd ref='%d' />\n", nodeid_temp);
				nodeid_temp = nodeid_temp+1;
			end

			fprintf(FOUT, "<tag k='contour' v='elevation' />\n");
			if mod(polygon_contourlevel,500) == 0
				fprintf(FOUT, "<tag k='contour_ext' v='major' />\n");
			elseif mod(polygon_contourlevel,100) == 0
				fprintf(FOUT, "<tag k='contour_ext' v='medium' />\n");
			else
				fprintf(FOUT, "<tag k='contour_ext' v='minor' />\n");
			end
			fprintf(FOUT, "<tag k='level' v='%s' />\n", level);
	
			fprintf(FOUT, "<tag k='ele' v='%d' />\n", polygon_contourlevel);
			fprintf(FOUT, "</way>\n");
	
			c_index = c_index + points_in_batch - 1;
			polygon_numpoints = polygon_numpoints - points_in_batch + 1; % use the last point again for the next batch
			points_in_batch = min([ polygon_numpoints 250 ]); % maximum of 250 points in one batch
		end
		c_index = c_index + polygon_numpoints;
	end
